<template>
  <!-- <ProFormCol>
    <ProFormColItem :span="12"> -->
  <ProFormItemV2
    :label="`${item.fileTypeName}:`"
    :prop="`parkCollectFileList.${index}.listFiles`"
    :check-rules="[{ message: `请上传${item.fileTypeName}`, type: 'upload' }]"
    :label-width="160"
    :style="{ marginBottom: index === form.parkCollectFileList.length - 1 ? 0 : '22px' }"
    v-for="(item, index) in form.parkCollectFileList"
    :key="item.fileSearchTypeId"
  >
    <ProFormUpload
      v-model:file-url="item.listFiles"
      :limitFileSize="50"
      :showTip="false"
      :limitShowViewMoreBtnCount="4"
      accept="doc,docx,pdf,xls,xlsx,jpg/jpeg,png"
    ></ProFormUpload>
  </ProFormItemV2>
  <!-- </ProFormColItem>
  </ProFormCol> -->
</template>

<script setup lang="ts">
import {
  ProFormCol,
  ProFormColItem,
  ProFormItemV2,
  ProFormUpload,
  UploadUserFile,
} from '@bole-core/components';
import { CustomerApplyFileTypeListItem } from './utils';

defineOptions({
  name: 'MaterialInfoView',
});

type Props = {
  form: {
    parkCollectFileList: CustomerApplyFileTypeListItem[];
  };
};

const props = withDefaults(defineProps<Props>(), {});
</script>

<style lang="scss" scoped>
@use '@/style/common.scss' as *;
</style>
